export const config = {
    database: { // MONGODB IS THE BEST DATABASE
        url: 'mongodb://localhost:27017/yggdrasil?readPreference=primary&appname=MongoDB%20Compass&directConnection=true&ssl=false',
    },
    server: {
        port: 3000,
        skinDomain: [ "assets.lama.icu" ],
        serverName: "老色批世界树",
        advanced: { // 详情可见 -> https://github.com/yushijinhun/authlib-injector/wiki/Yggdrasil-%E6%9C%8D%E5%8A%A1%E7%AB%AF%E6%8A%80%E6%9C%AF%E8%A7%84%E8%8C%83#meta-%E4%B8%AD%E7%9A%84%E5%85%83%E6%95%B0%E6%8D%AE
            links: {
                homepage: "",
                register: ""
            },
            "feature.non_email_login": false,
            "feature.legacy_skin_api": false,
            "feature.no_mojang_namespace": false,
            "feature.enable_mojang_anti_features": false,
            "feature.enable_profile_key": false
        }
    },
    signing: { // 签名材质信息使用
        public: 'public.pem',
        private: 'private.key'
    },
    custom: {
        override: {
            preHandler: {
                /*
                "/example/route": async function(req, rep) {}
                */
            },

            handler: {
                /*
                "/example/route": async function(req, rep) {}
                */
            }
        },
        preHooks: (fastify) => {}, // 在这里添加自定义hook
        preRouting: (fastify) => {}, // 在这里添加自定义路由
        postRouting: (fastify) => {}, // IDK what u want to do at here
    }
}

export function getOverrideHandler(route) {
    return config.custom.override.handler[route]
}

export function getOverridePreHandler(route) {
    return config.custom.override.preHandler[route]
}